Module | Ramaze::Reloader::Hooks
In: | lib/ramaze/reloader.rb

Holds hooks that are called before and after cycle and safe_load

### Methods

after_cycle after_safe_load after_safe_load_failed after_safe_load_succeed before_cycle before_safe_load

### Public Instance methods

after_cycle()

Overwrite to add actions after the reload rotation has ended.

after_safe_load(file)

Overwrite to add custom hook in addition to default Cache cleaning

after_safe_load_failed(file, error)

Overwrite to add actions after a file is Kernel::load-ed unsuccessfully, by default we output an error-message with the exception.

after_safe_load_succeed(file)

Overwrite to add actions after a file is Kernel::load-ed successfully, by default we clean the Cache for compiled templates and resolved actions.

before_cycle()

Overwrite to add actions before the reload rotation is started.

before_safe_load(file)

Overwrite to add actions before a file is Kernel::load-ed

[Validate]